# ITK VS Code Extension

This VS Code extension is designed to enhance the learning experience for students and instructors at the ITK Education Academy. It provides tools and utilities to streamline workflows, improve productivity, and facilitate a smoother learning process.

## Features

* **Save and Reopen Tabs:** Easily save your current set of open tabs and reopen them later. This is particularly useful for preserving your workspace setup between sessions or for sharing configurations with others.
* **Open Related Files:** Quickly open related files, such as an `index.html` file in an `.itk` directory, associated with your currently active file. This helps keep related resources readily accessible.
* **Customizable Tree View:** A dedicated tree view in the activity bar allows for easy access to frequently used files, folders, or other resources relevant to ITK courses.
* **Contextual Actions:** Right-click on items in the tree view to reveal context-specific actions, providing quick access to common operations.

## How to Use

1. **Installation:** Install the extension from the VS Code Marketplace. Search for "ITK" or the extension's name and click "Install."
2. **Saving Tabs:** Use the command "ITK: Save Tabs" (accessible through the command palette or a keybinding) to save your current open tabs.
3. **Reopening Tabs:** Use the command "ITK: Reopen Tabs" to restore the tabs you previously saved.
4. **Opening Related Files:** The extension will automatically try to open related files (e.g., `.itk/index.html`) when you interact with certain files.
5. **Tree View Interaction:** Explore the ITK tree view in the activity bar. Click on items to open them or right-click to access context menus.

## Contributing

Contributions are welcome! If you'd like to contribute to the development of this extension, please follow these steps:

1. Fork the repository on GitHub.
2. Create a new branch for your feature or bug fix.
3. Make your changes and commit them.
4. Push your changes to your forked repository.
5. Submit a pull request.

## Support

If you encounter any issues or have questions about the extension, please contact us through email hello@itk.academy

## ITK Education Academy

This extension is developed by the ITK Education Academy to support our mission of providing high-quality education and training in Programming.  Learn more about our programs and courses at hello@itk.academy.

## License

MIT Licence
